/*!

 * FileInput Català Translations

 *

 * This file must be loaded after 'fileinput.js'. Patterns in braces '{}', or

 * any HTML markup tags in the messages must not be converted or translated.

 *

 * @see http://github.com/kartik-v/bootstrap-fileinput

 *

 * NOTE: this file must be saved in UTF-8 encoding.

 */

(function ($) {

    "use strict";



    $.fn.fileinputLocales['ca'] = {

        fileSingle: 'arxiu',

        filePlural: 'arxius',

        browseLabel: 'Examinar &hellip;',

        removeLabel: 'Treure',

        removeTitle: 'Treure arxius seleccionats',

        cancelLabel: 'Cancel',

        cancelTitle: 'Avortar la pujada en curs',

        uploadLabel: 'Pujar arxiu',

        uploadTitle: 'Pujar arxius seleccionats',

        msgNo: 'No',

        msgCancelled: 'cancel·lat',

        msgZoomTitle: 'Veure detalls',

        msgZoomModalHeading: 'Vista prèvia detallada',

        msgSizeTooLarge: 'Arxiu "{name}" (<b>{size} KB</b>) excedeix la mida màxima permès de <b>{maxSize} KB</b>.',

        msgFilesTooLess: 'Heu de seleccionar almenys <b>{n}</b> {files} a carregar.',

        msgFilesTooMany: 'El nombre d\'arxius seleccionats a carregar <b>({n})</b> excedeix el límit màxim permès de <b>{m}</b>.',

        msgFileNotFound: 'Arxiu "{name}" no trobat.',

        msgFileSecured: 'No es pot accedir a l\'arxiu "{name}" perquè estarà sent usat per una altra aplicació o no tinguem permisos de lectura.',

        msgFileNotReadable: 'No es pot accedir a l\'arxiu "{name}".',

        msgFilePreviewAborted: 'Previsualització de l\'arxiu "{name}" cancel·lada.',

        msgFilePreviewError: 'S\'ha produït un error mentre es llegia el fitxer "{name}".',

        msgInvalidFileType: 'Tipus de fitxer no vàlid per a "{name}". Només arxius "{types}" són permesos.',

        msgInvalidFileExtension: 'Extensió de fitxer no vàlid per a "{name}". Només arxius "{extensions}" són permesos.',

        msgUploadAborted: 'La càrrega d\'arxius s\'ha cancel·lat',

        msgValidationError: 'Error de validació',

        msgLoading: 'Pujant fitxer {index} de {files} &hellip;',

        msgProgress: 'Pujant fitxer {index} de {files} - {name} - {percent}% completat.',

        msgSelected: '{n} {files} seleccionat(s)',

        msgFoldersNotAllowed: 'Arrossegueu i deixeu anar únicament arxius. Omesa(es) {n} carpeta(es).',

        msgImageWidthSmall: 'L\'ample de la imatge "{name}" ha de ser almenys {size} px.',

        msgImageHeightSmall: 'L\'alçada de la imatge "{name}" ha de ser almenys {size} px.',

        msgImageWidthLarge: 'L\'ample de la imatge "{name}" no pot excedir de {size} px.',

        msgImageHeightLarge: 'L\'alçada de la imatge "{name}" no pot excedir de {size} px.',

        msgImageResizeError: 'No s\'ha pogut obtenir les dimensions d\'imatge per canviar la mida.',

        msgImageResizeException: 'Error en canviar la mida de la imatge.<pre>{errors}</pre>',

        dropZoneTitle: 'Arrossegueu i deixeu anar aquí els arxius &hellip;',

        fileActionSettings: {

            removeTitle: 'Eliminar arxiu',

            uploadTitle: 'Pujar arxiu',

            indicatorNewTitle: 'No pujat encara',

            indicatorSuccessTitle: 'Subido',

            indicatorErrorTitle: 'Pujar Error',

            indicatorLoadingTitle: 'Pujant ...'

        }

    };

})(window.jQuery);

