/*!

 * FileInput <_LANG_> Translations

 *

 * This file must be loaded after 'fileinput.js'. Patterns in braces '{}', or

 * any HTML markup tags in the messages must not be converted or translated.

 *

 * @see http://github.com/kartik-v/bootstrap-fileinput

 *

 * NOTE: this file must be saved in UTF-8 encoding.

 */

(function ($) {

    "use strict";



    $.fn.fileinputLocales['_LANG_'] = {

        fileSingle: 'file',

        filePlural: 'files',

        browseLabel: 'Browse &hellip;',

        removeLabel: 'Remove',

        removeTitle: 'Clear selected files',

        cancelLabel: 'Cancel',

        cancelTitle: 'Abort ongoing upload',

        uploadLabel: 'Upload',

        uploadTitle: 'Upload selected files',

        msgNo: 'No',

        msgCancelled: 'Cancelled',

        msgZoomTitle: 'View details',

        msgZoomModalHeading: 'Detailed Preview',

        msgSizeTooLarge: 'File "{name}" (<b>{size} KB</b>) exceeds maximum allowed upload size of <b>{maxSize} KB</b>.',

        msgFilesTooLess: 'You must select at least <b>{n}</b> {files} to upload.',

        msgFilesTooMany: 'Number of files selected for upload <b>({n})</b> exceeds maximum allowed limit of <b>{m}</b>.',

        msgFileNotFound: 'File "{name}" not found!',

        msgFileSecured: 'Security restrictions prevent reading the file "{name}".',

        msgFileNotReadable: 'File "{name}" is not readable.',

        msgFilePreviewAborted: 'File preview aborted for "{name}".',

        msgFilePreviewError: 'An error occurred while reading the file "{name}".',

        msgInvalidFileType: 'Invalid type for file "{name}". Only "{types}" files are supported.',

        msgInvalidFileExtension: 'Invalid extension for file "{name}". Only "{extensions}" files are supported.',

        msgUploadAborted: 'The file upload was aborted',

        msgValidationError: 'Validation Error',

        msgLoading: 'Loading file {index} of {files} &hellip;',

        msgProgress: 'Loading file {index} of {files} - {name} - {percent}% completed.',

        msgSelected: '{n} {files} selected',

        msgFoldersNotAllowed: 'Drag & drop files only! Skipped {n} dropped folder(s).',

        msgImageWidthSmall: 'Width of image file "{name}" must be at least {size} px.',

        msgImageHeightSmall: 'Height of image file "{name}" must be at least {size} px.',

        msgImageWidthLarge: 'Width of image file "{name}" cannot exceed {size} px.',

        msgImageHeightLarge: 'Height of image file "{name}" cannot exceed {size} px.',

        msgImageResizeError: 'Could not get the image dimensions to resize.',

        msgImageResizeException: 'Error while resizing the image.<pre>{errors}</pre>',

        dropZoneTitle: 'Drag & drop files here &hellip;',

        fileActionSettings: {

            removeTitle: 'Remove file',

            uploadTitle: 'Upload file',

            indicatorNewTitle: 'Not uploaded yet',

            indicatorSuccessTitle: 'Uploaded',

            indicatorErrorTitle: 'Upload Error',

            indicatorLoadingTitle: 'Uploading ...'

        }

    };

})(window.jQuery);