/*!

 * FileInput German Translations

 *

 * This file must be loaded after 'fileinput.js'. Patterns in braces '{}', or

 * any HTML markup tags in the messages must not be converted or translated.

 *

 * @see http://github.com/kartik-v/bootstrap-fileinput

 */

(function ($) {

    "use strict";



    $.fn.fileinputLocales['de'] = {

        fileSingle: 'Datei',

        filePlural: 'Dateien',

        browseLabel: 'Auswählen &hellip;',

        removeLabel: 'Löschen',

        removeTitle: 'Ausgewählte löschen',

        cancelLabel: 'Laden',

        cancelTitle: 'Hochladen abbrechen',

        uploadLabel: 'Hochladen',

        uploadTitle: 'Hochladen der ausgewählten Dateien',

        msgNo: 'Keine',

        msgCancelled: 'Abgebrochen',

        msgZoomTitle: 'Details anzeigen',

        msgZoomModalHeading: 'ausführliche Vorschau',

        msgSizeTooLarge: 'Datei "{name}" (<b>{size} KB</b>) überschreitet maximal zulässige Upload-Größe von <b>{maxSize} KB</b>.',

        msgFilesTooLess: 'Sie müssen mindestens <b>{n}</b> {files} zum Hochladen auswählen.',

        msgFilesTooMany: 'Anzahl der Dateien für den Upload ausgewählt <b>({n})</b> überschreitet maximal zulässige Grenze von <b>{m}</b> Stück.',

        msgFileNotFound: 'Datei "{name}" wurde nicht gefunden!',

        msgFileSecured: 'Sicherheitseinstellungen verhindern das Lesen der Datei "{name}".',

        msgFileNotReadable: 'Die Datei "{name}" ist nicht lesbar.',

        msgFilePreviewAborted: 'Dateivorschau abgebrochen für "{name}".',

        msgFilePreviewError: 'Beim Lesen der Datei "{name}" ein Fehler aufgetreten.',

        msgInvalidFileType: 'Ungültiger Typ für Datei "{name}". Nur Dateien der Typen "{types}" werden unterstützt.',

        msgInvalidFileExtension: 'Ungültige Erweiterung für Datei "{name}". Nur Dateien mit der Endung "{extensions}" werden unterstützt.',

        msgUploadAborted: 'Der Datei-Upload wurde abgebrochen',

        msgValidationError: 'Validierungs fehler',

        msgLoading: 'Lade Datei {index} von {files} hoch&hellip;',

        msgProgress: 'Datei {index} von {files} - {name} - zu {percent}% fertiggestellt.',

        msgSelected: '{n} {files} ausgewählt',

        msgFoldersNotAllowed: 'Drag & Drop funktioniert nur bei Dateien! {n} Ordner übersprungen.',

        msgImageWidthSmall: 'Breite der Bilddatei "{name}" muss mindestens {size} px betragen.',

        msgImageHeightSmall: 'Höhe der Bilddatei "{name}" muss mindestens {size} px betragen.',

        msgImageWidthLarge: 'Breite der Bilddatei "{name}" nicht überschreiten {size} px.',

        msgImageHeightLarge: 'Höhe der Bilddatei "{name}" nicht überschreiten {size} px.',

        msgImageResizeError: 'Konnte nicht die Bildabmessungen zu ändern.',

        msgImageResizeException: 'Fehler beim Ändern der Größe des Bildes.<pre>{errors}</pre>',

        dropZoneTitle: 'Dateien hierher ziehen &hellip;',

        fileActionSettings: {

            removeTitle: 'Datei entfernen',

            uploadTitle: 'Datei hochladen',

            indicatorNewTitle: 'Noch nicht hochgeladen',

            indicatorSuccessTitle: 'Hochgeladen',

            indicatorErrorTitle: 'Upload Fehler',

            indicatorLoadingTitle: 'Hochladen ...'

        }

    };

})(window.jQuery);

